com.io7m.jcanephora.async

## Class JCGLAsyncBufferPair

- java.lang.Object
- - com.io7m.jcanephora.async.JCGLAsyncBufferPair

- All Implemented Interfaces:
    JCGLAsyncBufferPairType

      @Generated(value={"Immutables.generator","JCGLAsyncBufferPairType"})
      public final class JCGLAsyncBufferPair
      extends Object
      implements JCGLAsyncBufferPairType

  A pair consisting of an array buffer and an index buffer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLAsyncBufferPair.Builder` Builds instances of type `JCGLAsyncBufferPair`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLArrayBufferType` | `arrayBuffer()`
    `static JCGLAsyncBufferPair.Builder` | `builder()` Creates a builder for `JCGLAsyncBufferPair`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLAsyncBufferPair` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `arrayBuffer`, `indexBuffer`.
    `JCGLIndexBufferType` | `indexBuffer()`
    `static JCGLAsyncBufferPair` | `of(JCGLArrayBufferType arrayBuffer, JCGLIndexBufferType indexBuffer)` Construct a new immutable `JCGLAsyncBufferPair` instance.
    `String` | `toString()` Prints the immutable value `JCGLAsyncBufferPair` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### arrayBuffer

          public JCGLArrayBufferType arrayBuffer()

      Specified by:
        `arrayBuffer` in interface `JCGLAsyncBufferPairType`
      Returns:
        The array buffer

    - #### indexBuffer

          public JCGLIndexBufferType indexBuffer()

      Specified by:
        `indexBuffer` in interface `JCGLAsyncBufferPairType`
      Returns:
        The index buffer

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLAsyncBufferPair` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `arrayBuffer`, `indexBuffer`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLAsyncBufferPair` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLAsyncBufferPair of(JCGLArrayBufferType arrayBuffer,
                                               JCGLIndexBufferType indexBuffer)

      Construct a new immutable `JCGLAsyncBufferPair` instance.
      Parameters:
        `arrayBuffer` - The value for the `arrayBuffer` attribute
        `indexBuffer` - The value for the `indexBuffer` attribute
      Returns:
        An immutable JCGLAsyncBufferPair instance

    - #### builder

          public static JCGLAsyncBufferPair.Builder builder()

      Creates a builder for `JCGLAsyncBufferPair`.
      Returns:
        A new JCGLAsyncBufferPair builder

Copyright © 2017 <code@io7m.com> http://io7m.com